{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
Search & Match
Create a document from raw data
Creates a document directly from structured resume or job description data for use in Search & Match functionality. This endpoint is specifically designed for programmatic document creation without file uploads.
If you want to upload a document with a file or URL, see the main POST /v3/documents endpoint under the Documents tag.
When successful, returns an identifier in the response for subsequent use with the /documents/ endpoint to check processing status and retrieve results.
POST
/
v3
/
documents
/
create_from_data
Create a document from raw data
curl --request POST \ --url https://{region}.affinda.com/v3/documents/create_from_data \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "data": { "name": { "raw": "Tim A. Smith", "first": "Tim", "last": "Smith", "middle": "A.", "title": "Dr" }, "phoneNumbers": [ "(704) 996-9966", "+61412632636" ], "phoneNumberDetails": [ { "rawText": "+61412632636", "formattedNumber": "+61 412 632 636", "countryCode": "AU", "internationalCountryCode": 61, "nationalNumber": "0412 632 636" } ], "websites": [ "www.timsmith.com" ], "emails": [ "timsmith@vt.edu" ], "dateOfBirth": "1992-01-01", "location": { "rawInput": "Blacksburg, VA" }, "objective": "", "languages": [ "English", "French", "Arabic" ], "summary": "", "totalYearsExperience": 13, "education": [ { "id": 2, "organization": "Virginia Polytechnic Institute and State University (Virginia Tech)", "accreditation": { "education": "Bachelor of Science" }, "grade": { "raw": "GPA : 3.35", "metric": "GPA", "value": "3.35" }, "location": { "rawInput": "Blacksburg, VA" }, "dates": { "completionDate": "2021-05-01", "isCurrent": true, "startDate": "2019-05-01", "rawText": "May-Aug '18" } } ], "workExperience": [ { "id": 2, "jobTitle": "Sales and retail assistants", "organization": "General Motors", "location": { "rawInput": "Blacksburg, VA" }, "jobDescription": "Interned with supercar Development from May 2017 to August 2017.", "dates": { "startDate": "2018-05-01", "endDate": "2018-08-01", "monthsInPosition": 1, "isCurrent": true, "rawText": "May-Aug '18" } } ], "skills": [ { "id": 2, "name": "Applied Mechanics", "lastUsed": "2012-01-01", "numberOfMonths": 12 } ], "certifications": [ "Certificate in AWS" ], "publications": [ "Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014" ], "referees": [ { "name": "Stephen Smith", "text": "Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com", "email": "stephen.smith@company.com", "number": "+61490667215", "position": "Principal" } ], "rawText": "Christopher Nolan 3210 fake street '... <rest of resume text>'", "redactedText": "**** Objective: To obtain a job '... <rest of resume text>'" }}EOF
import requests
url = "https://{region}.affinda.com/v3/documents/create_from_data"
payload = { "data": {
"name": {
"raw": "Tim A. Smith",
"first": "Tim",
"last": "Smith",
"middle": "A.",
"title": "Dr"
},
"phoneNumbers": ["(704) 996-9966", "+61412632636"],
"phoneNumberDetails": [
{
"rawText": "+61412632636",
"formattedNumber": "+61 412 632 636",
"countryCode": "AU",
"internationalCountryCode": 61,
"nationalNumber": "0412 632 636"
}
],
"websites": ["www.timsmith.com"],
"emails": ["timsmith@vt.edu"],
"dateOfBirth": "1992-01-01",
"location": { "rawInput": "Blacksburg, VA" },
"objective": "",
"languages": ["English", "French", "Arabic"],
"summary": "",
"totalYearsExperience": 13,
"education": [
{
"id": 2,
"organization": "Virginia Polytechnic Institute and State University (Virginia Tech)",
"accreditation": { "education": "Bachelor of Science" },
"grade": {
"raw": "GPA : 3.35",
"metric": "GPA",
"value": "3.35"
},
"location": { "rawInput": "Blacksburg, VA" },
"dates": {
"completionDate": "2021-05-01",
"isCurrent": True,
"startDate": "2019-05-01",
"rawText": "May-Aug '18"
}
}
],
"workExperience": [
{
"id": 2,
"jobTitle": "Sales and retail assistants",
"organization": "General Motors",
"location": { "rawInput": "Blacksburg, VA" },
"jobDescription": "Interned with supercar Development from May 2017 to August 2017.",
"dates": {
"startDate": "2018-05-01",
"endDate": "2018-08-01",
"monthsInPosition": 1,
"isCurrent": True,
"rawText": "May-Aug '18"
}
}
],
"skills": [
{
"id": 2,
"name": "Applied Mechanics",
"lastUsed": "2012-01-01",
"numberOfMonths": 12
}
],
"certifications": ["Certificate in AWS"],
"publications": ["Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"],
"referees": [
{
"name": "Stephen Smith",
"text": "Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com",
"email": "stephen.smith@company.com",
"number": "+61490667215",
"position": "Principal"
}
],
"rawText": "Christopher Nolan 3210 fake street '... <rest of resume text>'",
"redactedText": "**** Objective: To obtain a job '... <rest of resume text>'"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
name: {raw: 'Tim A. Smith', first: 'Tim', last: 'Smith', middle: 'A.', title: 'Dr'},
phoneNumbers: ['(704) 996-9966', '+61412632636'],
phoneNumberDetails: [
{
rawText: '+61412632636',
formattedNumber: '+61 412 632 636',
countryCode: 'AU',
internationalCountryCode: 61,
nationalNumber: '0412 632 636'
}
],
websites: ['www.timsmith.com'],
emails: ['timsmith@vt.edu'],
dateOfBirth: '1992-01-01',
location: {rawInput: 'Blacksburg, VA'},
objective: '',
languages: ['English', 'French', 'Arabic'],
summary: '',
totalYearsExperience: 13,
education: [
{
id: 2,
organization: 'Virginia Polytechnic Institute and State University (Virginia Tech)',
accreditation: {education: 'Bachelor of Science'},
grade: {raw: 'GPA : 3.35', metric: 'GPA', value: '3.35'},
location: {rawInput: 'Blacksburg, VA'},
dates: {
completionDate: '2021-05-01',
isCurrent: true,
startDate: '2019-05-01',
rawText: 'May-Aug \'18'
}
}
],
workExperience: [
{
id: 2,
jobTitle: 'Sales and retail assistants',
organization: 'General Motors',
location: {rawInput: 'Blacksburg, VA'},
jobDescription: 'Interned with supercar Development from May 2017 to August 2017.',
dates: {
startDate: '2018-05-01',
endDate: '2018-08-01',
monthsInPosition: 1,
isCurrent: true,
rawText: 'May-Aug \'18'
}
}
],
skills: [{id: 2, name: 'Applied Mechanics', lastUsed: '2012-01-01', numberOfMonths: 12}],
certifications: ['Certificate in AWS'],
publications: [
'Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014'
],
referees: [
{
name: 'Stephen Smith',
text: 'Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com',
email: 'stephen.smith@company.com',
number: '+61490667215',
position: 'Principal'
}
],
rawText: 'Christopher Nolan 3210 fake street \'... <rest of resume text>\'',
redactedText: '**** Objective: To obtain a job \'... <rest of resume text>\''
}
})
};
fetch('https://{region}.affinda.com/v3/documents/create_from_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Affinda Extract Documentation","description":"Affinda Extract is a document AI platform that turns unstructured documents into structured, validated data through extraction, classification, splitting, and human review. Guides, API reference, and configuration playbooks for building and integrating Affinda models.","colors":{"primary":"#1F3339","light":"#A6FFFB","dark":"#A6FFFB"},"logo":{"light":"https://mintcdn.com/affinda-44/nvZZjc-QOoHXzSQ7/images/affindaextract-inkwell.png?fit=max\u0026auto=format\u0026n=nvZZjc-QOoHXzSQ7\u0026q=85\u0026s=a3e52ff1e274ac5509589a6350b41496","dark":"https://mintcdn.com/affinda-44/lcBcXTOY4DEPcniI/images/affindaextract-greenmist.png?fit=max\u0026auto=format\u0026n=lcBcXTOY4DEPcniI\u0026q=85\u0026s=318f55893ae70c89849919adbbc1a545","href":"https://www.affinda.com/"},"favicon":"https://mintcdn.com/affinda-44/zzz2NA-YwjYcDdgi/Affinda_GreenMist_inkwell_Favicon.png?fit=max\u0026auto=format\u0026n=zzz2NA-YwjYcDdgi\u0026q=85\u0026s=c83f557178ec0b196bef5bafec9b9faf","api":{"playground":{"display":"interactive"},"examples":{"languages":["curl","python","javascript"],"prefill":false}},"appearance":{"default":"system","strict":false},"background":{"decoration":"gradient","color":{"light":"#FFF9F0","dark":"#102A2F"}},"navbar":{"links":[{"href":"https://www.affinda.com/pricing-plans","label":"Pricing"},{"href":"https://trust.affinda.com/","label":"Security"},{"href":"https://www.affinda.com/contact","label":"Contact"},{"href":"/support","label":"Support"}],"primary":{"type":"button","label":"Log in","href":"https://app.affinda.com"}},"footer":{"socials":{"linkedin":"https://linkedin.com/company/affinda","youtube":"https://www.youtube.com/@affinda","github":"https://github.com/affinda"}},"seo":{"metatags":{"og:image":"https://cdn.prod.website-files.com/6854ccfd1a7ab92f392b474d/68ae96fe8f3fdbbe0ae04c73_Affinda%20Open%20Graph%20image%20for%20website%20previews.png","og:site_name":"Affinda","twitter:site":"@affinda"}},"fonts":{"heading":{"family":"NeuSans","weight":500,"source":"https://cdn.prod.website-files.com/6854ccfd1a7ab92f392b474d/685b584938c8018fa3d2e9da_NeuSans-Bold.woff2","format":"woff2"},"body":{"family":"NeuSans","weight":400,"source":"https://cdn.prod.website-files.com/6854ccfd1a7ab92f392b474d/685b5849e08b8110997b8e4f_NeuSans-Regular.woff2","format":"woff2"}},"integrations":{"gtm":{"tagId":"GTM-NCW6M2B"}},"banner":{"content":"New to resume parsing? Start with the [Resume Parser console](https://resume-parser.affinda.com/). (Existing resume parsing integrations continue to be supported by Affinda Extract.)","color":{"light":"#102A2F","dark":"#102A2F"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"affinda-44","hasAudioNarration":false,"actualSubdomain":"affinda-44","customDomains":["docs.affinda.com"],"gitSource":{"type":"github","owner":"affinda","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af1ad89f1b49434fa89c976","clientVersion":"0.0.4094","searchFilterCounts":[{"language":"default","tag":"API Reference","count":163},{"language":"default","tag":"Endpoints","count":108},{"language":"default","tag":"Deprecated Versions","count":45},{"language":"default","tag":"v2 Endpoints (Legacy)","count":45},{"language":"default","tag":"Configuration Guide","count":26},{"language":"default","tag":"Deprecated End Points","count":25},{"language":"default","tag":"Search \u0026 Match","count":24},{"language":"default","tag":"Extract Handbook","count":13},{"language":"default","tag":"Additional Resources","count":10},{"language":"default","tag":"Data Sources","count":10}]},"assistantConfig":{"enableAskAiButton":true,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"support@affinda.com","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"privacy":{"consentBanner":{"enabled":true}},"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"html.dark{--tw-prose-body: #FFF9F0;--tw-prose-headings: #FFFFFF;--tw-prose-bullets: #FFFFFF}html.dark .mdx-content{color:#FFF9F0}span.text-white.z-10{color:#000000!important}#navbar-primary-cta,#navbar-primary-cta *,a[href=\"https://app.affinda.com\"],a[href=\"https://app.affinda.com\"] *,#navbar a[href*=\"app.affinda.com\"],#navbar a[href*=\"app.affinda.com\"] *{color:#000000!important}"}],"page":{"pagePath":"api-reference/search-\u0026-match/create-a-document-from-raw-data","slug":"/api-reference/search-\u0026-match/create-a-document-from-raw-data","pageMetadata":{"title":"Create a document from raw data","description":"\nCreates a document directly from structured resume or job description data for use in Search \u0026 Match functionality. This endpoint is specifically designed for programmatic document creation without file uploads.\u003cbr/>\nIf you want to upload a document with a file or URL, see the main [POST /v3/documents](#post-/v3/documents) endpoint under the Documents tag.\u003cbr/>\nWhen successful, returns an `identifier` in the response for subsequent use with the [/documents/{identifier}](#get-/v3/documents/-identifier-) endpoint to check processing status and retrieve results.\u003cbr/>","deprecated":null,"version":null,"openapi":"https://api.affinda.com/static/v3/api_spec.yaml post /v3/documents/create_from_data","href":"/api-reference/search-\u0026-match/create-a-document-from-raw-data","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Creates a document directly from structured resume or job description data for use in Search \u0026 Match functionality. This endpoint is specifically designed for programmatic document creation without file uploads.\", _jsx(\"br\", {}), \"\\nIf you want to upload a document with a file or URL, see the main \", _jsx(_components.a, {\n href: \"#post-/v3/documents\",\n children: \"POST /v3/documents\"\n }), \" endpoint under the Documents tag.\", _jsx(\"br\", {}), \"\\nWhen successful, returns an \", _jsx(_components.code, {\n children: \"identifier\"\n }), \" in the response for subsequent use with the \", _jsx(_components.a, {\n href: \"#get-/v3/documents/-identifier-\",\n children: \"/documents/\"\n }), \" endpoint to check processing status and retrieve results.\", _jsx(\"br\", {})]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create a document from raw data","description":"\nCreates a document directly from structured resume or job description data for use in Search \u0026 Match functionality. This endpoint is specifically designed for programmatic document creation without file uploads.\u003cbr/>\nIf you want to upload a document with a file or URL, see the main [POST /v3/documents](#post-/v3/documents) endpoint under the Documents tag.\u003cbr/>\nWhen successful, returns an `identifier` in the response for subsequent use with the [/documents/{identifier}](#get-/v3/documents/-identifier-) endpoint to check processing status and retrieve results.\u003cbr/>","deprecated":null,"version":null,"openapi":"https://api.affinda.com/static/v3/api_spec.yaml post /v3/documents/create_from_data","href":"/api-reference/search-\u0026-match/create-a-document-from-raw-data","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Search \u0026 Match"],"summary":"Create a document from raw data","operationId":"createDocumentFromData","description":"\nCreates a document directly from structured resume or job description data for use in Search \u0026 Match functionality. This endpoint is specifically designed for programmatic document creation without file uploads.\u003cbr/>\nIf you want to upload a document with a file or URL, see the main [POST /v3/documents](#post-/v3/documents) endpoint under the Documents tag.\u003cbr/>\nWhen successful, returns an `identifier` in the response for subsequent use with the [/documents/{identifier}](#get-/v3/documents/-identifier-) endpoint to check processing status and retrieve results.\u003cbr/>","responses":{"200":"9f371249-c7b3-4ab1-95bb-17a9ab6a3879","201":"ee56176b-e3da-466a-8cba-d671aa28b81b","400":"6f927ab5-7376-43bf-842b-9f30e9ebc230","401":"23314109-787a-497d-9c39-fcec603d10cc","403":"fcc88803-1410-4042-adf9-a650880890b4","default":"3c1a4623-4711-403e-8d82-20482d51170d"},"parameters":["0661ceeb-3aba-4daf-92ee-9776a55be09a"],"requestBody":"c8c1ec77-9816-4bff-84db-358d959e1dc4","method":"post","type":"path","servers":["22b901d7-22af-42f1-9666-f9832a1fc626"],"security":["245b976a-4220-4978-9788-de711007412b"],"path":"/v3/documents/create_from_data","baseUrlOptions":["https://{region}.affinda.com"],"title":"Create a document from raw data","codeSamples":[],"requestExampleLanguages":["bash","python","javascript"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"0661ceeb-3aba-4daf-92ee-9776a55be09a":{"in":"query","name":"snake_case","required":false,"description":"Whether to return the response in snake_case instead of camelCase. Default is false.","schema":{"type":"boolean","isRequired":false,"description":"Whether to return the response in snake_case instead of camelCase. Default is false.","uniqueKey":"","typeLabel":"boolean"}}},"requestBody":{"description":"Resume or job description data to create a document from","required":true,"content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"oneOf":[{"type":"object","description":"Create resume or job description directly from data.","properties":{"name":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"raw":{"type":"string","example":"Tim A. Smith","uniqueKey":"data.oneOf.0.name.oneOf.0.raw","typeLabel":"string"},"first":{"type":"string","example":"Tim","uniqueKey":"data.oneOf.0.name.oneOf.0.first","typeLabel":"string"},"last":{"type":"string","example":"Smith","uniqueKey":"data.oneOf.0.name.oneOf.0.last","typeLabel":"string"},"middle":{"type":"string","example":"A.","uniqueKey":"data.oneOf.0.name.oneOf.0.middle","typeLabel":"string"},"title":{"type":"string","example":"Dr","uniqueKey":"data.oneOf.0.name.oneOf.0.title","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.name.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"properties":{"raw":{"type":"string","example":"Tim A. Smith"},"first":{"type":"string","example":"Tim"},"last":{"type":"string","example":"Smith"},"middle":{"type":"string","example":"A."},"title":{"type":"string","example":"Dr"}},"uniqueKey":"data.oneOf.0.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.name","typeLabel":"object | null"},"phoneNumbers":{"type":"array","items":{"type":"string","uniqueKey":"data.oneOf.0.phoneNumbers.items.[INDEX]","typeLabel":"string"},"example":["(704) 996-9966","+61412632636"],"uniqueKey":"data.oneOf.0.phoneNumbers","typeLabel":"string[]"},"phoneNumberDetails":{"type":"array","items":{"type":"object","properties":{"rawText":{"type":"string","nullable":false,"example":"+61412632636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].rawText","typeLabel":"string"},"formattedNumber":{"oneOf":[{"type":"string","example":"+61 412 632 636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].formattedNumber.oneOf.0","typeLabel":"string"},{"type":"null","example":"+61 412 632 636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].formattedNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].formattedNumber","typeLabel":"string | null"},"countryCode":{"oneOf":[{"type":"string","example":"AU","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].countryCode.oneOf.0","typeLabel":"string"},{"type":"null","example":"AU","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].countryCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].countryCode","typeLabel":"string | null"},"internationalCountryCode":{"oneOf":[{"type":"integer","example":61,"minimum":1,"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].internationalCountryCode.oneOf.0","typeLabel":"integer"},{"type":"null","example":61,"minimum":1,"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].internationalCountryCode.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].internationalCountryCode","typeLabel":"integer | null"},"nationalNumber":{"oneOf":[{"type":"string","example":"0412 632 636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].nationalNumber.oneOf.0","typeLabel":"string"},{"type":"null","example":"0412 632 636","uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].nationalNumber.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX].nationalNumber","typeLabel":"string | null"}},"uniqueKey":"data.oneOf.0.phoneNumberDetails.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.oneOf.0.phoneNumberDetails","typeLabel":"object[]"},"websites":{"type":"array","items":{"type":"string","uniqueKey":"data.oneOf.0.websites.items.[INDEX]","typeLabel":"string"},"example":["www.timsmith.com"],"uniqueKey":"data.oneOf.0.websites","typeLabel":"string[]"},"emails":{"type":"array","items":{"type":"string","format":"email","uniqueKey":"data.oneOf.0.emails.items.[INDEX]","typeLabel":"string\u003cemail>"},"example":["timsmith@vt.edu"],"uniqueKey":"data.oneOf.0.emails","typeLabel":"string\u003cemail>[]"},"dateOfBirth":{"oneOf":[{"type":"string","example":"1992-01-01","uniqueKey":"data.oneOf.0.dateOfBirth.oneOf.0","typeLabel":"string"},{"type":"null","example":"1992-01-01","uniqueKey":"data.oneOf.0.dateOfBirth.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.dateOfBirth","typeLabel":"string | null"},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA","isRequired":true,"uniqueKey":"data.oneOf.0.location.oneOf.0.rawInput","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.location.oneOf.0","typeLabel":"object"},{"type":"null","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}},"uniqueKey":"data.oneOf.0.location.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.location","typeLabel":"object | null"},"objective":{"oneOf":[{"type":"string","default":"","uniqueKey":"data.oneOf.0.objective.oneOf.0","typeLabel":"string"},{"type":"null","default":"","uniqueKey":"data.oneOf.0.objective.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.objective","typeLabel":"string | null"},"languages":{"type":"array","items":{"type":"string","enum":["Ainu","Akan","Akkadian","Amharic","Anam","Arabic","Aramaic","Arem","Armenian","Awadhi","Aymara","Azari","Bagheli","Bagri","Bahasa","Bahasa Indonesian","Bambara","Bangala","Bardi","Bassa","Batak","Belarusian","Bemba","Benga","Bengali","Berber","Bhojpuri","Bislama","Brahui","Bulgarian","Bunu","Cambodian","Carew","Carib","Catalan","Cebuano","Chakma","Chamorro","Chango","Chewa","Croatian","Czech","Dagbani","Danish","Dari","Dayi","Dhatki","Dhivehi","Dinka","Dogri","Duala","Dutch","English","Esperanto","Estonian","Ewondo","Faroese","Filipino","Finnish","Formula","French","Frisian","Friulian","Fula","Gaelic","Galo","Garhwali","Garifuna","German","Gikuyu","Gujarati","Gujerati","Gwere","Hawaiian","Haya","Hebrew","Hindi","Hmu","Hokkien","Hopi","Hungarian","Hup","Ibanag","Igbo","Ilokano","Indonesian","Intermediate","Irish","Italian","Japanese","Jiba","Kachin","Kalenjin","Kamayo","Kannada","Kaonde","Kayan","Khandeshi","Khmer","Kikuyu","Kodava","Koma","Kongo","Konkani","Korean","Korwa","Kreyol","Krio","Kumaoni","Kurdish","Kurukh","Kwa","Ladino","Lango","Latvian","Lawa","Lingala","Lithuanian","Lule","Luxembourgish","Magahi","Maithili","Malay","Malayalam","Malaysian","Malvi","Maninka","Manipuri","Manx","Marathi","Mayan","Medumba","Memoni","Mewari","Mizo","Montenegrin","Mwan","Mwanga","Ndebele","Nepali","Nimadi","Oriya","Oromo","Ovambo","Pamona","Pangasinan","Pashto","Phoenician","Polish","Portuguese","Pulaar","Pular","Punjabi","Quecha","Rajasthani","Romanian","Russian","Sakha","Sango","Santhali","Saraiki","Seim","Shading","Shama","Shan","Shona","Silesian","Sindhi","Slovak","Slovene","Soga","Sogdian","Sotho","Spanish","Sudanese","Sumerian","Surajpuri","Surigaonon","Swati","Swazi","Swedish","Tagalog","Tamil","Tausug","Telugu","Tetum","Tharu","Tibetan","Tigrinya","Tripuri","Tswana","Tulu","Turkish","Tuwali","Ubi","Ukrainian","Urdu","Veps","Vietnamese","Wagdi","Waziri","Xhosa","Yiddish","Yoruba"],"uniqueKey":"data.oneOf.0.languages.items.[INDEX]","typeLabel":"enum\u003cstring>"},"example":["English","French","Arabic"],"uniqueKey":"data.oneOf.0.languages","typeLabel":"enum\u003cstring>[]"},"summary":{"oneOf":[{"type":"string","default":"","uniqueKey":"data.oneOf.0.summary.oneOf.0","typeLabel":"string"},{"type":"null","default":"","uniqueKey":"data.oneOf.0.summary.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.summary","typeLabel":"string | null"},"totalYearsExperience":{"oneOf":[{"type":"integer","example":13,"minimum":0,"uniqueKey":"data.oneOf.0.totalYearsExperience.oneOf.0","typeLabel":"integer"},{"type":"null","example":13,"minimum":0,"uniqueKey":"data.oneOf.0.totalYearsExperience.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.totalYearsExperience","typeLabel":"integer | null"},"education":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","nullable":false,"minimum":1,"uniqueKey":"data.oneOf.0.education.items.[INDEX].id","typeLabel":"integer"},"organization":{"oneOf":[{"type":"string","example":"Virginia Polytechnic Institute and State University (Virginia Tech)","uniqueKey":"data.oneOf.0.education.items.[INDEX].organization.oneOf.0","typeLabel":"string"},{"type":"null","example":"Virginia Polytechnic Institute and State University (Virginia Tech)","uniqueKey":"data.oneOf.0.education.items.[INDEX].organization.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].organization","typeLabel":"string | null"},"accreditation":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"education":{"type":"string","example":"Bachelor of Science","uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.0.education","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"properties":{"education":{"type":"string","example":"Bachelor of Science"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].accreditation","typeLabel":"object | null"},"grade":{"oneOf":[{"type":"object","additionalProperties":true,"properties":{"raw":{"type":"string","example":"GPA : 3.35","uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.raw","typeLabel":"string"},"metric":{"oneOf":[{"type":"string","example":"GPA","uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.metric.oneOf.0","typeLabel":"string"},{"type":"null","example":"GPA","uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.metric.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.metric","typeLabel":"string | null"},"value":{"type":"string","example":"3.35","uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0.value","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":true,"properties":{"raw":{"type":"string","example":"GPA : 3.35"},"metric":{"oneOf":[{"type":"string","example":"GPA"},{"type":"null","example":"GPA"}]},"value":{"type":"string","example":"3.35"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].grade.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].grade","typeLabel":"object | null"},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA","isRequired":true,"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0.rawInput","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.0","typeLabel":"object"},{"type":"null","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].location.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].location","typeLabel":"object | null"},"dates":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"completionDate":{"type":"string","format":"date","example":"2021-05-01","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.completionDate","typeLabel":"string\u003cdate>"},"isCurrent":{"type":"boolean","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.isCurrent","typeLabel":"boolean"},"startDate":{"oneOf":[{"type":"string","format":"date","example":"2019-05-01","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.startDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","example":"2019-05-01","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.startDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.startDate","typeLabel":"string\u003cdate> | null"},"rawText":{"type":"string","example":"May-Aug '18","uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0.rawText","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"properties":{"completionDate":{"type":"string","format":"date","example":"2021-05-01"},"isCurrent":{"type":"boolean"},"startDate":{"oneOf":[{"type":"string","format":"date","example":"2019-05-01"},{"type":"null","format":"date","example":"2019-05-01"}]},"rawText":{"type":"string","example":"May-Aug '18"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX].dates.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.education.items.[INDEX].dates","typeLabel":"object | null"}},"uniqueKey":"data.oneOf.0.education.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.oneOf.0.education","typeLabel":"object[]"},"workExperience":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","nullable":false,"minimum":1,"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].id","typeLabel":"integer"},"jobTitle":{"oneOf":[{"type":"string","example":"Sales and retail assistants","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobTitle.oneOf.0","typeLabel":"string"},{"type":"null","example":"Sales and retail assistants","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobTitle.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobTitle","typeLabel":"string | null"},"organization":{"oneOf":[{"type":"string","example":"General Motors","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].organization.oneOf.0","typeLabel":"string"},{"type":"null","example":"General Motors","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].organization.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].organization","typeLabel":"string | null"},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA","isRequired":true,"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].location.oneOf.0.rawInput","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].location.oneOf.0","typeLabel":"object"},{"type":"null","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}},"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].location.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].location","typeLabel":"object | null"},"jobDescription":{"oneOf":[{"type":"string","example":"Interned with supercar Development from May 2017 to August 2017.","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobDescription.oneOf.0","typeLabel":"string"},{"type":"null","example":"Interned with supercar Development from May 2017 to August 2017.","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobDescription.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].jobDescription","typeLabel":"string | null"},"dates":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"startDate":{"oneOf":[{"type":"string","format":"date","example":"2018-05-01","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.startDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","example":"2018-05-01","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.startDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.startDate","typeLabel":"string\u003cdate> | null"},"endDate":{"oneOf":[{"type":"string","format":"date","example":"2018-08-01","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.endDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","example":"2018-08-01","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.endDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.endDate","typeLabel":"string\u003cdate> | null"},"monthsInPosition":{"oneOf":[{"type":"integer","minimum":0,"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.monthsInPosition.oneOf.0","typeLabel":"integer"},{"type":"null","minimum":0,"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.monthsInPosition.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.monthsInPosition","typeLabel":"integer | null"},"isCurrent":{"type":"boolean","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.isCurrent","typeLabel":"boolean"},"rawText":{"type":"string","example":"May-Aug '18","uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0.rawText","typeLabel":"string"}},"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"properties":{"startDate":{"oneOf":[{"type":"string","format":"date","example":"2018-05-01"},{"type":"null","format":"date","example":"2018-05-01"}]},"endDate":{"oneOf":[{"type":"string","format":"date","example":"2018-08-01"},{"type":"null","format":"date","example":"2018-08-01"}]},"monthsInPosition":{"oneOf":[{"type":"integer","minimum":0},{"type":"null","minimum":0}]},"isCurrent":{"type":"boolean"},"rawText":{"type":"string","example":"May-Aug '18"}},"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX].dates","typeLabel":"object | null"}},"uniqueKey":"data.oneOf.0.workExperience.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.oneOf.0.workExperience","typeLabel":"object[]"},"skills":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","nullable":false,"minimum":1,"uniqueKey":"data.oneOf.0.skills.items.[INDEX].id","typeLabel":"integer"},"name":{"type":"string","example":"Applied Mechanics","uniqueKey":"data.oneOf.0.skills.items.[INDEX].name","typeLabel":"string"},"lastUsed":{"oneOf":[{"type":"string","example":"2012-01-01","uniqueKey":"data.oneOf.0.skills.items.[INDEX].lastUsed.oneOf.0","typeLabel":"string"},{"type":"null","example":"2012-01-01","uniqueKey":"data.oneOf.0.skills.items.[INDEX].lastUsed.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.skills.items.[INDEX].lastUsed","typeLabel":"string | null"},"numberOfMonths":{"oneOf":[{"type":"integer","example":12,"minimum":0,"uniqueKey":"data.oneOf.0.skills.items.[INDEX].numberOfMonths.oneOf.0","typeLabel":"integer"},{"type":"null","example":12,"minimum":0,"uniqueKey":"data.oneOf.0.skills.items.[INDEX].numberOfMonths.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.skills.items.[INDEX].numberOfMonths","typeLabel":"integer | null"}},"uniqueKey":"data.oneOf.0.skills.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.oneOf.0.skills","typeLabel":"object[]"},"certifications":{"type":"array","items":{"type":"string","uniqueKey":"data.oneOf.0.certifications.items.[INDEX]","typeLabel":"string"},"example":["Certificate in AWS"],"uniqueKey":"data.oneOf.0.certifications","typeLabel":"string[]"},"publications":{"type":"array","items":{"type":"string","uniqueKey":"data.oneOf.0.publications.items.[INDEX]","typeLabel":"string"},"example":["Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"],"uniqueKey":"data.oneOf.0.publications","typeLabel":"string[]"},"referees":{"type":"array","items":{"type":"object","additionalProperties":true,"properties":{"name":{"oneOf":[{"type":"string","example":"Stephen Smith","uniqueKey":"data.oneOf.0.referees.items.[INDEX].name.oneOf.0","typeLabel":"string"},{"type":"null","example":"Stephen Smith","uniqueKey":"data.oneOf.0.referees.items.[INDEX].name.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.referees.items.[INDEX].name","typeLabel":"string | null"},"text":{"type":"string","example":"Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com","uniqueKey":"data.oneOf.0.referees.items.[INDEX].text","typeLabel":"string"},"email":{"oneOf":[{"type":"string","format":"email","example":"stephen.smith@company.com","uniqueKey":"data.oneOf.0.referees.items.[INDEX].email.oneOf.0","typeLabel":"string\u003cemail>"},{"type":"null","format":"email","example":"stephen.smith@company.com","uniqueKey":"data.oneOf.0.referees.items.[INDEX].email.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.referees.items.[INDEX].email","typeLabel":"string\u003cemail> | null"},"number":{"oneOf":[{"type":"string","example":"+61490667215","uniqueKey":"data.oneOf.0.referees.items.[INDEX].number.oneOf.0","typeLabel":"string"},{"type":"null","example":"+61490667215","uniqueKey":"data.oneOf.0.referees.items.[INDEX].number.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.referees.items.[INDEX].number","typeLabel":"string | null"},"position":{"oneOf":[{"type":"string","example":"Principal","uniqueKey":"data.oneOf.0.referees.items.[INDEX].position.oneOf.0","typeLabel":"string"},{"type":"null","example":"Principal","uniqueKey":"data.oneOf.0.referees.items.[INDEX].position.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.referees.items.[INDEX].position","typeLabel":"string | null"}},"uniqueKey":"data.oneOf.0.referees.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.oneOf.0.referees","typeLabel":"object[]"},"rawText":{"type":"string","example":"Christopher Nolan 3210 fake street '... \u003crest of resume text>'","description":"All of the raw text of the parsed resume, example is shortened for readability","uniqueKey":"data.oneOf.0.rawText","typeLabel":"string"},"redactedText":{"type":"string","example":"**** Objective: To obtain a job '... \u003crest of resume text>'","description":"Redacted version of the text in the resume, removing PII.","uniqueKey":"data.oneOf.0.redactedText","typeLabel":"string"}},"additionalProperties":{"oneOf":[{"type":"object","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.0","typeLabel":"object"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.1","typeLabel":"null"},{"type":"string","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.2","typeLabel":"string"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.3","typeLabel":"null"},{"type":"integer","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.4","typeLabel":"integer"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.5","typeLabel":"null"},{"type":"number","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.6","typeLabel":"number"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.7","typeLabel":"null"},{"type":"boolean","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.8","typeLabel":"boolean"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.9","typeLabel":"null"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"data.oneOf.0.additionalProperties.oneOf.10.items.[INDEX]","typeLabel":"any"},"description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.10","typeLabel":"any[]"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.0.additionalProperties.oneOf.11","typeLabel":"null"}],"uniqueKey":"data.oneOf.0.additionalProperties","typeLabel":"object · null · string · null · integer · null · number · null · boolean · null · any[] · null"},"isRequired":true,"uniqueKey":"data.oneOf.0","typeLabel":"object"},{"type":"null","description":"Create resume or job description directly from data.","properties":{"name":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"raw":{"type":"string","example":"Tim A. Smith"},"first":{"type":"string","example":"Tim"},"last":{"type":"string","example":"Smith"},"middle":{"type":"string","example":"A."},"title":{"type":"string","example":"Dr"}}},{"type":"null","additionalProperties":false,"properties":{"raw":{"type":"string","example":"Tim A. Smith"},"first":{"type":"string","example":"Tim"},"last":{"type":"string","example":"Smith"},"middle":{"type":"string","example":"A."},"title":{"type":"string","example":"Dr"}}}]},"phoneNumbers":{"type":"array","items":{"type":"string"},"example":["(704) 996-9966","+61412632636"]},"phoneNumberDetails":{"type":"array","items":{"type":"object","properties":{"rawText":{"type":"string","nullable":false,"example":"+61412632636"},"formattedNumber":{"oneOf":[{"type":"string","example":"+61 412 632 636"},{"type":"null","example":"+61 412 632 636"}]},"countryCode":{"oneOf":[{"type":"string","example":"AU"},{"type":"null","example":"AU"}]},"internationalCountryCode":{"oneOf":[{"type":"integer","example":61,"minimum":1},{"type":"null","example":61,"minimum":1}]},"nationalNumber":{"oneOf":[{"type":"string","example":"0412 632 636"},{"type":"null","example":"0412 632 636"}]}}}},"websites":{"type":"array","items":{"type":"string"},"example":["www.timsmith.com"]},"emails":{"type":"array","items":{"type":"string","format":"email"},"example":["timsmith@vt.edu"]},"dateOfBirth":{"oneOf":[{"type":"string","example":"1992-01-01"},{"type":"null","example":"1992-01-01"}]},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}}},{"type":"null","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}}}]},"objective":{"oneOf":[{"type":"string","default":""},{"type":"null","default":""}]},"languages":{"type":"array","items":{"type":"string","enum":["Ainu","Akan","Akkadian","Amharic","Anam","Arabic","Aramaic","Arem","Armenian","Awadhi","Aymara","Azari","Bagheli","Bagri","Bahasa","Bahasa Indonesian","Bambara","Bangala","Bardi","Bassa","Batak","Belarusian","Bemba","Benga","Bengali","Berber","Bhojpuri","Bislama","Brahui","Bulgarian","Bunu","Cambodian","Carew","Carib","Catalan","Cebuano","Chakma","Chamorro","Chango","Chewa","Croatian","Czech","Dagbani","Danish","Dari","Dayi","Dhatki","Dhivehi","Dinka","Dogri","Duala","Dutch","English","Esperanto","Estonian","Ewondo","Faroese","Filipino","Finnish","Formula","French","Frisian","Friulian","Fula","Gaelic","Galo","Garhwali","Garifuna","German","Gikuyu","Gujarati","Gujerati","Gwere","Hawaiian","Haya","Hebrew","Hindi","Hmu","Hokkien","Hopi","Hungarian","Hup","Ibanag","Igbo","Ilokano","Indonesian","Intermediate","Irish","Italian","Japanese","Jiba","Kachin","Kalenjin","Kamayo","Kannada","Kaonde","Kayan","Khandeshi","Khmer","Kikuyu","Kodava","Koma","Kongo","Konkani","Korean","Korwa","Kreyol","Krio","Kumaoni","Kurdish","Kurukh","Kwa","Ladino","Lango","Latvian","Lawa","Lingala","Lithuanian","Lule","Luxembourgish","Magahi","Maithili","Malay","Malayalam","Malaysian","Malvi","Maninka","Manipuri","Manx","Marathi","Mayan","Medumba","Memoni","Mewari","Mizo","Montenegrin","Mwan","Mwanga","Ndebele","Nepali","Nimadi","Oriya","Oromo","Ovambo","Pamona","Pangasinan","Pashto","Phoenician","Polish","Portuguese","Pulaar","Pular","Punjabi","Quecha","Rajasthani","Romanian","Russian","Sakha","Sango","Santhali","Saraiki","Seim","Shading","Shama","Shan","Shona","Silesian","Sindhi","Slovak","Slovene","Soga","Sogdian","Sotho","Spanish","Sudanese","Sumerian","Surajpuri","Surigaonon","Swati","Swazi","Swedish","Tagalog","Tamil","Tausug","Telugu","Tetum","Tharu","Tibetan","Tigrinya","Tripuri","Tswana","Tulu","Turkish","Tuwali","Ubi","Ukrainian","Urdu","Veps","Vietnamese","Wagdi","Waziri","Xhosa","Yiddish","Yoruba"]},"example":["English","French","Arabic"]},"summary":{"oneOf":[{"type":"string","default":""},{"type":"null","default":""}]},"totalYearsExperience":{"oneOf":[{"type":"integer","example":13,"minimum":0},{"type":"null","example":13,"minimum":0}]},"education":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","nullable":false,"minimum":1},"organization":{"oneOf":[{"type":"string","example":"Virginia Polytechnic Institute and State University (Virginia Tech)"},{"type":"null","example":"Virginia Polytechnic Institute and State University (Virginia Tech)"}]},"accreditation":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"education":{"type":"string","example":"Bachelor of Science"}}},{"type":"null","additionalProperties":false,"properties":{"education":{"type":"string","example":"Bachelor of Science"}}}]},"grade":{"oneOf":[{"type":"object","additionalProperties":true,"properties":{"raw":{"type":"string","example":"GPA : 3.35"},"metric":{"oneOf":[{"type":"string","example":"GPA"},{"type":"null","example":"GPA"}]},"value":{"type":"string","example":"3.35"}}},{"type":"null","additionalProperties":true,"properties":{"raw":{"type":"string","example":"GPA : 3.35"},"metric":{"oneOf":[{"type":"string","example":"GPA"},{"type":"null","example":"GPA"}]},"value":{"type":"string","example":"3.35"}}}]},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}}},{"type":"null","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}}}]},"dates":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"completionDate":{"type":"string","format":"date","example":"2021-05-01"},"isCurrent":{"type":"boolean"},"startDate":{"oneOf":[{"type":"string","format":"date","example":"2019-05-01"},{"type":"null","format":"date","example":"2019-05-01"}]},"rawText":{"type":"string","example":"May-Aug '18"}}},{"type":"null","additionalProperties":false,"properties":{"completionDate":{"type":"string","format":"date","example":"2021-05-01"},"isCurrent":{"type":"boolean"},"startDate":{"oneOf":[{"type":"string","format":"date","example":"2019-05-01"},{"type":"null","format":"date","example":"2019-05-01"}]},"rawText":{"type":"string","example":"May-Aug '18"}}}]}}}},"workExperience":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","nullable":false,"minimum":1},"jobTitle":{"oneOf":[{"type":"string","example":"Sales and retail assistants"},{"type":"null","example":"Sales and retail assistants"}]},"organization":{"oneOf":[{"type":"string","example":"General Motors"},{"type":"null","example":"General Motors"}]},"location":{"oneOf":[{"type":"object","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}}},{"type":"null","required":["rawInput"],"properties":{"rawInput":{"type":"string","example":"Blacksburg, VA"}}}]},"jobDescription":{"oneOf":[{"type":"string","example":"Interned with supercar Development from May 2017 to August 2017."},{"type":"null","example":"Interned with supercar Development from May 2017 to August 2017."}]},"dates":{"oneOf":[{"type":"object","additionalProperties":false,"properties":{"startDate":{"oneOf":[{"type":"string","format":"date","example":"2018-05-01"},{"type":"null","format":"date","example":"2018-05-01"}]},"endDate":{"oneOf":[{"type":"string","format":"date","example":"2018-08-01"},{"type":"null","format":"date","example":"2018-08-01"}]},"monthsInPosition":{"oneOf":[{"type":"integer","minimum":0},{"type":"null","minimum":0}]},"isCurrent":{"type":"boolean"},"rawText":{"type":"string","example":"May-Aug '18"}}},{"type":"null","additionalProperties":false,"properties":{"startDate":{"oneOf":[{"type":"string","format":"date","example":"2018-05-01"},{"type":"null","format":"date","example":"2018-05-01"}]},"endDate":{"oneOf":[{"type":"string","format":"date","example":"2018-08-01"},{"type":"null","format":"date","example":"2018-08-01"}]},"monthsInPosition":{"oneOf":[{"type":"integer","minimum":0},{"type":"null","minimum":0}]},"isCurrent":{"type":"boolean"},"rawText":{"type":"string","example":"May-Aug '18"}}}]}}}},"skills":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","nullable":false,"minimum":1},"name":{"type":"string","example":"Applied Mechanics"},"lastUsed":{"oneOf":[{"type":"string","example":"2012-01-01"},{"type":"null","example":"2012-01-01"}]},"numberOfMonths":{"oneOf":[{"type":"integer","example":12,"minimum":0},{"type":"null","example":12,"minimum":0}]}}}},"certifications":{"type":"array","items":{"type":"string"},"example":["Certificate in AWS"]},"publications":{"type":"array","items":{"type":"string"},"example":["Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"]},"referees":{"type":"array","items":{"type":"object","additionalProperties":true,"properties":{"name":{"oneOf":[{"type":"string","example":"Stephen Smith"},{"type":"null","example":"Stephen Smith"}]},"text":{"type":"string","example":"Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com"},"email":{"oneOf":[{"type":"string","format":"email","example":"stephen.smith@company.com"},{"type":"null","format":"email","example":"stephen.smith@company.com"}]},"number":{"oneOf":[{"type":"string","example":"+61490667215"},{"type":"null","example":"+61490667215"}]},"position":{"oneOf":[{"type":"string","example":"Principal"},{"type":"null","example":"Principal"}]}}}},"rawText":{"type":"string","example":"Christopher Nolan 3210 fake street '... \u003crest of resume text>'","description":"All of the raw text of the parsed resume, example is shortened for readability"},"redactedText":{"type":"string","example":"**** Objective: To obtain a job '... \u003crest of resume text>'","description":"Redacted version of the text in the resume, removing PII."}},"additionalProperties":{"oneOf":[{"type":"object","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.0","typeLabel":"object"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.1","typeLabel":"null"},{"type":"string","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.2","typeLabel":"string"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.3","typeLabel":"null"},{"type":"integer","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.4","typeLabel":"integer"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.5","typeLabel":"null"},{"type":"number","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.6","typeLabel":"number"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.7","typeLabel":"null"},{"type":"boolean","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.8","typeLabel":"boolean"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.9","typeLabel":"null"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"data.oneOf.1.additionalProperties.oneOf.10.items.[INDEX]","typeLabel":"any"},"description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.10","typeLabel":"any[]"},{"type":"null","description":"For custom fields. E.g. 'isAvailable': true","uniqueKey":"data.oneOf.1.additionalProperties.oneOf.11","typeLabel":"null"}],"uniqueKey":"data.oneOf.1.additionalProperties","typeLabel":"object · null · string · null · integer · null · number · null · boolean · null · any[] · null"},"isRequired":true,"uniqueKey":"data.oneOf.1","typeLabel":"null"},{"type":"object","description":"Create resume or job description directly from data.","x-csharp-usage":"output","properties":{"jobTitle":{"oneOf":[{"type":"object","required":["id","rectangle","rectangles","document","pageIndex","raw","confidence","classificationConfidence","textExtractionConfidence","isVerified","isClientVerified","isAutoVerified","contentType"],"properties":{"id":{"type":"integer","description":"Annotation's ID","example":1,"minimum":1,"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.id","typeLabel":"integer"},"rectangle":{"oneOf":[{"type":"object","additionalProperties":false,"required":["x0","y0","x1","y1"],"properties":{"x0":{"type":"number","nullable":false,"example":2.43,"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangle.oneOf.0.x0","typeLabel":"number"},"y0":{"type":"number","nullable":false,"example":4.55,"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangle.oneOf.0.y0","typeLabel":"number"},"x1":{"type":"number","nullable":false,"example":4.56,"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangle.oneOf.0.x1","typeLabel":"number"},"y1":{"type":"number","nullable":false,"example":6.32,"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangle.oneOf.0.y1","typeLabel":"number"},"pageIndex":{"type":"integer","nullable":false,"example":1,"minimum":0,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangle.oneOf.0.pageIndex","typeLabel":"integer"}},"description":"x/y coordinates for the rectangular bounding box containing the data","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangle.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"required":["x0","y0","x1","y1"],"properties":{"pageIndex":{"type":"integer","nullable":false,"example":1,"minimum":0},"x0":{"type":"number","nullable":false,"example":2.43},"y0":{"type":"number","nullable":false,"example":4.55},"x1":{"type":"number","nullable":false,"example":4.56},"y1":{"type":"number","nullable":false,"example":6.32}},"description":"x/y coordinates for the rectangular bounding box containing the data","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangle.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangle","typeLabel":"object | null"},"rectangles":{"type":"array","items":{"type":"object","additionalProperties":false,"nullable":false,"required":["x0","y0","x1","y1"],"properties":{"x0":{"type":"number","nullable":false,"example":2.43,"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangles.items.[INDEX].x0","typeLabel":"number"},"y0":{"type":"number","nullable":false,"example":4.55,"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangles.items.[INDEX].y0","typeLabel":"number"},"x1":{"type":"number","nullable":false,"example":4.56,"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangles.items.[INDEX].x1","typeLabel":"number"},"y1":{"type":"number","nullable":false,"example":6.32,"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangles.items.[INDEX].y1","typeLabel":"number"},"pageIndex":{"type":"integer","nullable":false,"example":1,"minimum":0,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangles.items.[INDEX].pageIndex","typeLabel":"integer"}},"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangles.items.[INDEX]","typeLabel":"object"},"description":"x/y coordinates for the rectangles containing the data. An annotation can be contained within multiple rectangles.","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.rectangles","typeLabel":"object[]"},"document":{"type":"string","description":"Unique identifier for the document","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.document","typeLabel":"string"},"pageIndex":{"oneOf":[{"type":"integer","example":0,"minimum":0,"description":"The page number within the document, starting from 0.","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.pageIndex.oneOf.0","typeLabel":"integer"},{"type":"null","example":0,"minimum":0,"description":"The page number within the document, starting from 0.","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.pageIndex.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.pageIndex","typeLabel":"integer | null"},"raw":{"oneOf":[{"type":"string","description":"Raw data extracted from the before any post-processing","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.raw.oneOf.0","typeLabel":"string"},{"type":"null","description":"Raw data extracted from the before any post-processing","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.raw.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.raw","typeLabel":"string | null"},"confidence":{"oneOf":[{"type":"number","example":0.86,"description":"The overall confidence that the model's prediction is correct","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.confidence.oneOf.0","typeLabel":"number"},{"type":"null","example":0.86,"description":"The overall confidence that the model's prediction is correct","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.confidence.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.confidence","typeLabel":"number | null"},"classificationConfidence":{"oneOf":[{"type":"number","example":0.95,"description":"The model's confidence that the text has been classified correctly","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.classificationConfidence.oneOf.0","typeLabel":"number"},{"type":"null","example":0.95,"description":"The model's confidence that the text has been classified correctly","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.classificationConfidence.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.classificationConfidence","typeLabel":"number | null"},"textExtractionConfidence":{"oneOf":[{"type":"number","example":0.9,"description":"If the document was submitted as an image, this is the confidence that the text in the image has been correctly read by the model","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.textExtractionConfidence.oneOf.0","typeLabel":"number"},{"type":"null","example":0.9,"description":"If the document was submitted as an image, this is the confidence that the text in the image has been correctly read by the model","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.textExtractionConfidence.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.textExtractionConfidence","typeLabel":"number | null"},"isVerified":{"type":"boolean","description":"Indicates whether the data has been validated, either by a human using our validation tool or through auto-validation rules","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.isVerified","typeLabel":"boolean"},"isClientVerified":{"type":"boolean","description":"Indicates whether the data has been validated by a human","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.isClientVerified","typeLabel":"boolean"},"isAutoVerified":{"type":"boolean","description":"Indicates whether the data has been auto-validated","isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.isAutoVerified","typeLabel":"boolean"},"contentType":{"type":"string","description":"The different data types of annotations","enum":["text","integer","float","decimal","date","datetime","daterange","boolean","enum","location","phonenumber","json","table","expectedremuneration","jobtitle","language","skill","yearsexperience","group","table_deprecated","url","image","docclf"],"isRequired":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.contentType","typeLabel":"enum\u003cstring>"},"dataPoint":{"type":"string","description":"Data point's identifier","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.dataPoint","typeLabel":"string"},"field":{"oneOf":[{"type":"string","description":"Field's identifier","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.field.oneOf.0","typeLabel":"string"},{"type":"null","description":"Field's identifier","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.field.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.field","typeLabel":"string | null"},"parent":{"oneOf":[{"type":"integer","description":"The parent annotation's ID","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parent.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The parent annotation's ID","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parent.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parent","typeLabel":"integer | null"},"parsed":{"oneOf":[{"type":"object","description":"Years of experience range","properties":{"name":{"oneOf":[{"type":"string","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.name.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.name","typeLabel":"string | null"},"managementLevel":{"oneOf":[{"type":"string","example":"Mid","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.managementLevel.oneOf.0","typeLabel":"string"},{"type":"null","example":"Mid","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.managementLevel.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.managementLevel","typeLabel":"string | null"},"classification":{"oneOf":[{"type":"object","properties":{"socCode":{"type":"number","example":2463,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.classification.oneOf.0.socCode","typeLabel":"number"},"title":{"type":"string","example":"Clergy","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.classification.oneOf.0.title","typeLabel":"string"},"minorGroup":{"type":"string","example":"Welfare Professionals","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.classification.oneOf.0.minorGroup","typeLabel":"string"},"subMajorGroup":{"type":"string","example":"BUSINESS, MEDIA AND PUBLIC SERVICE PROFESSIONALS","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.classification.oneOf.0.subMajorGroup","typeLabel":"string"},"majorGroup":{"type":"string","example":"PROFESSIONAL OCCUPATIONS","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.classification.oneOf.0.majorGroup","typeLabel":"string"},"minorGroupCode":{"type":"integer","example":4122,"minimum":1,"maximum":9999,"description":"The 4 digit code representing the SOC2020 classification for this job title","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.classification.oneOf.0.minorGroupCode","typeLabel":"integer"},"subMajorGroupCode":{"type":"integer","example":4122,"minimum":1,"maximum":9999,"description":"The 4 digit code representing the SOC2020 classification for this job title","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.classification.oneOf.0.subMajorGroupCode","typeLabel":"integer"},"majorGroupCode":{"type":"integer","example":4122,"minimum":1,"maximum":9999,"description":"The 4 digit code representing the SOC2020 classification for this job title","uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.classification.oneOf.0.majorGroupCode","typeLabel":"integer"}},"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.classification.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"socCode":{"type":"number","example":2463},"title":{"type":"string","example":"Clergy"},"minorGroup":{"type":"string","example":"Welfare Professionals"},"subMajorGroup":{"type":"string","example":"BUSINESS, MEDIA AND PUBLIC SERVICE PROFESSIONALS"},"majorGroup":{"type":"string","example":"PROFESSIONAL OCCUPATIONS"},"minorGroupCode":{"type":"integer","example":4122,"minimum":1,"maximum":9999,"description":"The 4 digit code representing the SOC2020 classification for this job title"},"subMajorGroupCode":{"type":"integer","example":4122,"minimum":1,"maximum":9999,"description":"The 4 digit code representing the SOC2020 classification for this job title"},"majorGroupCode":{"type":"integer","example":4122,"minimum":1,"maximum":9999,"description":"The 4 digit code representing the SOC2020 classification for this job title"}},"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.classification.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0.classification","typeLabel":"object | null"}},"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.0","typeLabel":"object"},{"type":"null","description":"Years of experience range","properties":{"name":{"oneOf":[{"type":"string"},{"type":"null"}]},"managementLevel":{"oneOf":[{"type":"string","example":"Mid"},{"type":"null","example":"Mid"}]},"classification":{"oneOf":[{"type":"object","properties":{"socCode":{"type":"number","example":2463},"title":{"type":"string","example":"Clergy"},"minorGroup":{"type":"string","example":"Welfare Professionals"},"subMajorGroup":{"type":"string","example":"BUSINESS, MEDIA AND PUBLIC SERVICE PROFESSIONALS"},"majorGroup":{"type":"string","example":"PROFESSIONAL OCCUPATIONS"},"minorGroupCode":{"type":"integer","example":4122,"minimum":1,"maximum":9999,"description":"The 4 digit code representing the SOC2020 classification for this job title"},"subMajorGroupCode":{"type":"integer","example":4122,"minimum":1,"maximum":9999,"description":"The 4 digit code representing the SOC2020 classification for this job title"},"majorGroupCode":{"type":"integer","example":4122,"minimum":1,"maximum":9999,"description":"The 4 digit code representing the SOC2020 classification for this job title"}}},{"type":"null","properties":{"socCode":{"type":"number","example":2463},"title":{"type":"string","example":"Clergy"},"minorGroup":{"type":"string","example":"Welfare Professionals"},"subMajorGroup":{"type":"string","example":"BUSINESS, MEDIA AND PUBLIC SERVICE PROFESSIONALS"},"majorGroup":{"type":"string","example":"PROFESSIONAL OCCUPATIONS"},"minorGroupCode":{"type":"integer","example":4122,"minimum":1,"maximum":9999,"description":"The 4 digit code representing the SOC2020 classification for this job title"},"subMajorGroupCode":{"type":"integer","example":4122,"minimum":1,"maximum":9999,"description":"The 4 digit code representing the SOC2020 classification for this job title"},"majorGroupCode":{"type":"integer","example":4122,"minimum":1,"maximum":9999,"description":"The 4 digit code representing the SOC2020 classification for this job title"}}}]}},"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0.parsed","typeLabel":"object | null"}},"additionalProperties":true,"uniqueKey":"data.oneOf.2.jobTitle.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"data.oneOf.2.jobTitle.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.jobTitle","typeLabel":"object | null"},"contactEmail":{"oneOf":[{"type":"object","required":["id","rectangle","rectangles","document","pageIndex","raw","confidence","classificationConfidence","textExtractionConfidence","isVerified","isClientVerified","isAutoVerified","contentType"],"properties":{"id":{"type":"integer","description":"Annotation's ID","example":1,"minimum":1,"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.id","typeLabel":"integer"},"rectangle":{"oneOf":[{"type":"object","additionalProperties":false,"required":["x0","y0","x1","y1"],"properties":{"x0":{"type":"number","nullable":false,"example":2.43,"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangle.oneOf.0.x0","typeLabel":"number"},"y0":{"type":"number","nullable":false,"example":4.55,"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangle.oneOf.0.y0","typeLabel":"number"},"x1":{"type":"number","nullable":false,"example":4.56,"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangle.oneOf.0.x1","typeLabel":"number"},"y1":{"type":"number","nullable":false,"example":6.32,"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangle.oneOf.0.y1","typeLabel":"number"},"pageIndex":{"type":"integer","nullable":false,"example":1,"minimum":0,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangle.oneOf.0.pageIndex","typeLabel":"integer"}},"description":"x/y coordinates for the rectangular bounding box containing the data","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangle.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"required":["x0","y0","x1","y1"],"properties":{"pageIndex":{"type":"integer","nullable":false,"example":1,"minimum":0},"x0":{"type":"number","nullable":false,"example":2.43},"y0":{"type":"number","nullable":false,"example":4.55},"x1":{"type":"number","nullable":false,"example":4.56},"y1":{"type":"number","nullable":false,"example":6.32}},"description":"x/y coordinates for the rectangular bounding box containing the data","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangle.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangle","typeLabel":"object | null"},"rectangles":{"type":"array","items":{"type":"object","additionalProperties":false,"nullable":false,"required":["x0","y0","x1","y1"],"properties":{"x0":{"type":"number","nullable":false,"example":2.43,"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangles.items.[INDEX].x0","typeLabel":"number"},"y0":{"type":"number","nullable":false,"example":4.55,"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangles.items.[INDEX].y0","typeLabel":"number"},"x1":{"type":"number","nullable":false,"example":4.56,"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangles.items.[INDEX].x1","typeLabel":"number"},"y1":{"type":"number","nullable":false,"example":6.32,"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangles.items.[INDEX].y1","typeLabel":"number"},"pageIndex":{"type":"integer","nullable":false,"example":1,"minimum":0,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangles.items.[INDEX].pageIndex","typeLabel":"integer"}},"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangles.items.[INDEX]","typeLabel":"object"},"description":"x/y coordinates for the rectangles containing the data. An annotation can be contained within multiple rectangles.","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.rectangles","typeLabel":"object[]"},"document":{"type":"string","description":"Unique identifier for the document","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.document","typeLabel":"string"},"pageIndex":{"oneOf":[{"type":"integer","example":0,"minimum":0,"description":"The page number within the document, starting from 0.","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.pageIndex.oneOf.0","typeLabel":"integer"},{"type":"null","example":0,"minimum":0,"description":"The page number within the document, starting from 0.","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.pageIndex.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.pageIndex","typeLabel":"integer | null"},"raw":{"oneOf":[{"type":"string","description":"Raw data extracted from the before any post-processing","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.raw.oneOf.0","typeLabel":"string"},{"type":"null","description":"Raw data extracted from the before any post-processing","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.raw.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.raw","typeLabel":"string | null"},"confidence":{"oneOf":[{"type":"number","example":0.86,"description":"The overall confidence that the model's prediction is correct","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.confidence.oneOf.0","typeLabel":"number"},{"type":"null","example":0.86,"description":"The overall confidence that the model's prediction is correct","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.confidence.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.confidence","typeLabel":"number | null"},"classificationConfidence":{"oneOf":[{"type":"number","example":0.95,"description":"The model's confidence that the text has been classified correctly","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.classificationConfidence.oneOf.0","typeLabel":"number"},{"type":"null","example":0.95,"description":"The model's confidence that the text has been classified correctly","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.classificationConfidence.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.classificationConfidence","typeLabel":"number | null"},"textExtractionConfidence":{"oneOf":[{"type":"number","example":0.9,"description":"If the document was submitted as an image, this is the confidence that the text in the image has been correctly read by the model","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.textExtractionConfidence.oneOf.0","typeLabel":"number"},{"type":"null","example":0.9,"description":"If the document was submitted as an image, this is the confidence that the text in the image has been correctly read by the model","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.textExtractionConfidence.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.textExtractionConfidence","typeLabel":"number | null"},"isVerified":{"type":"boolean","description":"Indicates whether the data has been validated, either by a human using our validation tool or through auto-validation rules","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.isVerified","typeLabel":"boolean"},"isClientVerified":{"type":"boolean","description":"Indicates whether the data has been validated by a human","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.isClientVerified","typeLabel":"boolean"},"isAutoVerified":{"type":"boolean","description":"Indicates whether the data has been auto-validated","isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.isAutoVerified","typeLabel":"boolean"},"contentType":{"type":"string","description":"The different data types of annotations","enum":["text","integer","float","decimal","date","datetime","daterange","boolean","enum","location","phonenumber","json","table","expectedremuneration","jobtitle","language","skill","yearsexperience","group","table_deprecated","url","image","docclf"],"isRequired":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.contentType","typeLabel":"enum\u003cstring>"},"dataPoint":{"type":"string","description":"Data point's identifier","uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.dataPoint","typeLabel":"string"},"field":{"oneOf":[{"type":"string","description":"Field's identifier","uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.field.oneOf.0","typeLabel":"string"},{"type":"null","description":"Field's identifier","uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.field.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.field","typeLabel":"string | null"},"parent":{"oneOf":[{"type":"integer","description":"The parent annotation's ID","uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.parent.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The parent annotation's ID","uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.parent.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.parent","typeLabel":"integer | null"},"parsed":{"oneOf":[{"type":"string","uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.parsed.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.parsed.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0.parsed","typeLabel":"string | null"}},"additionalProperties":true,"uniqueKey":"data.oneOf.2.contactEmail.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"data.oneOf.2.contactEmail.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.contactEmail","typeLabel":"object | null"},"contactName":{"oneOf":[{"type":"object","required":["id","rectangle","rectangles","document","pageIndex","raw","confidence","classificationConfidence","textExtractionConfidence","isVerified","isClientVerified","isAutoVerified","contentType"],"properties":{"id":{"type":"integer","description":"Annotation's ID","example":1,"minimum":1,"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.id","typeLabel":"integer"},"rectangle":{"oneOf":[{"type":"object","additionalProperties":false,"required":["x0","y0","x1","y1"],"properties":{"x0":{"type":"number","nullable":false,"example":2.43,"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangle.oneOf.0.x0","typeLabel":"number"},"y0":{"type":"number","nullable":false,"example":4.55,"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangle.oneOf.0.y0","typeLabel":"number"},"x1":{"type":"number","nullable":false,"example":4.56,"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangle.oneOf.0.x1","typeLabel":"number"},"y1":{"type":"number","nullable":false,"example":6.32,"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangle.oneOf.0.y1","typeLabel":"number"},"pageIndex":{"type":"integer","nullable":false,"example":1,"minimum":0,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangle.oneOf.0.pageIndex","typeLabel":"integer"}},"description":"x/y coordinates for the rectangular bounding box containing the data","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangle.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"required":["x0","y0","x1","y1"],"properties":{"pageIndex":{"type":"integer","nullable":false,"example":1,"minimum":0},"x0":{"type":"number","nullable":false,"example":2.43},"y0":{"type":"number","nullable":false,"example":4.55},"x1":{"type":"number","nullable":false,"example":4.56},"y1":{"type":"number","nullable":false,"example":6.32}},"description":"x/y coordinates for the rectangular bounding box containing the data","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangle.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangle","typeLabel":"object | null"},"rectangles":{"type":"array","items":{"type":"object","additionalProperties":false,"nullable":false,"required":["x0","y0","x1","y1"],"properties":{"x0":{"type":"number","nullable":false,"example":2.43,"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangles.items.[INDEX].x0","typeLabel":"number"},"y0":{"type":"number","nullable":false,"example":4.55,"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangles.items.[INDEX].y0","typeLabel":"number"},"x1":{"type":"number","nullable":false,"example":4.56,"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangles.items.[INDEX].x1","typeLabel":"number"},"y1":{"type":"number","nullable":false,"example":6.32,"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangles.items.[INDEX].y1","typeLabel":"number"},"pageIndex":{"type":"integer","nullable":false,"example":1,"minimum":0,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangles.items.[INDEX].pageIndex","typeLabel":"integer"}},"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangles.items.[INDEX]","typeLabel":"object"},"description":"x/y coordinates for the rectangles containing the data. An annotation can be contained within multiple rectangles.","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.rectangles","typeLabel":"object[]"},"document":{"type":"string","description":"Unique identifier for the document","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.document","typeLabel":"string"},"pageIndex":{"oneOf":[{"type":"integer","example":0,"minimum":0,"description":"The page number within the document, starting from 0.","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.pageIndex.oneOf.0","typeLabel":"integer"},{"type":"null","example":0,"minimum":0,"description":"The page number within the document, starting from 0.","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.pageIndex.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.pageIndex","typeLabel":"integer | null"},"raw":{"oneOf":[{"type":"string","description":"Raw data extracted from the before any post-processing","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.raw.oneOf.0","typeLabel":"string"},{"type":"null","description":"Raw data extracted from the before any post-processing","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.raw.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.raw","typeLabel":"string | null"},"confidence":{"oneOf":[{"type":"number","example":0.86,"description":"The overall confidence that the model's prediction is correct","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.confidence.oneOf.0","typeLabel":"number"},{"type":"null","example":0.86,"description":"The overall confidence that the model's prediction is correct","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.confidence.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.confidence","typeLabel":"number | null"},"classificationConfidence":{"oneOf":[{"type":"number","example":0.95,"description":"The model's confidence that the text has been classified correctly","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.classificationConfidence.oneOf.0","typeLabel":"number"},{"type":"null","example":0.95,"description":"The model's confidence that the text has been classified correctly","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.classificationConfidence.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.classificationConfidence","typeLabel":"number | null"},"textExtractionConfidence":{"oneOf":[{"type":"number","example":0.9,"description":"If the document was submitted as an image, this is the confidence that the text in the image has been correctly read by the model","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.textExtractionConfidence.oneOf.0","typeLabel":"number"},{"type":"null","example":0.9,"description":"If the document was submitted as an image, this is the confidence that the text in the image has been correctly read by the model","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.textExtractionConfidence.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.textExtractionConfidence","typeLabel":"number | null"},"isVerified":{"type":"boolean","description":"Indicates whether the data has been validated, either by a human using our validation tool or through auto-validation rules","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.isVerified","typeLabel":"boolean"},"isClientVerified":{"type":"boolean","description":"Indicates whether the data has been validated by a human","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.isClientVerified","typeLabel":"boolean"},"isAutoVerified":{"type":"boolean","description":"Indicates whether the data has been auto-validated","isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.isAutoVerified","typeLabel":"boolean"},"contentType":{"type":"string","description":"The different data types of annotations","enum":["text","integer","float","decimal","date","datetime","daterange","boolean","enum","location","phonenumber","json","table","expectedremuneration","jobtitle","language","skill","yearsexperience","group","table_deprecated","url","image","docclf"],"isRequired":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0.contentType","typeLabel":"enum\u003cstring>"},"dataPoint":{"type":"string","description":"Data point's identifier","uniqueKey":"data.oneOf.2.contactName.oneOf.0.dataPoint","typeLabel":"string"},"field":{"oneOf":[{"type":"string","description":"Field's identifier","uniqueKey":"data.oneOf.2.contactName.oneOf.0.field.oneOf.0","typeLabel":"string"},{"type":"null","description":"Field's identifier","uniqueKey":"data.oneOf.2.contactName.oneOf.0.field.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.contactName.oneOf.0.field","typeLabel":"string | null"},"parent":{"oneOf":[{"type":"integer","description":"The parent annotation's ID","uniqueKey":"data.oneOf.2.contactName.oneOf.0.parent.oneOf.0","typeLabel":"integer"},{"type":"null","description":"The parent annotation's ID","uniqueKey":"data.oneOf.2.contactName.oneOf.0.parent.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.contactName.oneOf.0.parent","typeLabel":"integer | null"},"parsed":{"oneOf":[{"type":"string","uniqueKey":"data.oneOf.2.contactName.oneOf.0.parsed.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.oneOf.2.contactName.oneOf.0.parsed.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.contactName.oneOf.0.parsed","typeLabel":"string | null"}},"additionalProperties":true,"uniqueKey":"data.oneOf.2.contactName.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"data.oneOf.2.contactName.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.oneOf.2.contactName","typeLabel":"object | null"},"contactPhone":{"oneOf":[{"type":"object","required":["id","rectangle","rectangles","document","pageIndex","raw","confidence","classificationConfidence","textExtractionConfidence","isVerified","isClientVerified","isAutoVerified","contentType"],"properties":{"id":{"type":"integer","description":"Annotation's ID","example":1,"minimum":1,"isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.id","typeLabel":"integer"},"rectangle":{"oneOf":[{"type":"object","additionalProperties":false,"required":["x0","y0","x1","y1"],"properties":{"x0":{"type":"number","nullable":false,"example":2.43,"isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangle.oneOf.0.x0","typeLabel":"number"},"y0":{"type":"number","nullable":false,"example":4.55,"isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangle.oneOf.0.y0","typeLabel":"number"},"x1":{"type":"number","nullable":false,"example":4.56,"isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangle.oneOf.0.x1","typeLabel":"number"},"y1":{"type":"number","nullable":false,"example":6.32,"isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangle.oneOf.0.y1","typeLabel":"number"},"pageIndex":{"type":"integer","nullable":false,"example":1,"minimum":0,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangle.oneOf.0.pageIndex","typeLabel":"integer"}},"description":"x/y coordinates for the rectangular bounding box containing the data","isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangle.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":false,"required":["x0","y0","x1","y1"],"properties":{"pageIndex":{"type":"integer","nullable":false,"example":1,"minimum":0},"x0":{"type":"number","nullable":false,"example":2.43},"y0":{"type":"number","nullable":false,"example":4.55},"x1":{"type":"number","nullable":false,"example":4.56},"y1":{"type":"number","nullable":false,"example":6.32}},"description":"x/y coordinates for the rectangular bounding box containing the data","isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangle.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangle","typeLabel":"object | null"},"rectangles":{"type":"array","items":{"type":"object","additionalProperties":false,"nullable":false,"required":["x0","y0","x1","y1"],"properties":{"x0":{"type":"number","nullable":false,"example":2.43,"isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangles.items.[INDEX].x0","typeLabel":"number"},"y0":{"type":"number","nullable":false,"example":4.55,"isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangles.items.[INDEX].y0","typeLabel":"number"},"x1":{"type":"number","nullable":false,"example":4.56,"isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangles.items.[INDEX].x1","typeLabel":"number"},"y1":{"type":"number","nullable":false,"example":6.32,"isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangles.items.[INDEX].y1","typeLabel":"number"},"pageIndex":{"type":"integer","nullable":false,"example":1,"minimum":0,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangles.items.[INDEX].pageIndex","typeLabel":"integer"}},"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangles.items.[INDEX]","typeLabel":"object"},"description":"x/y coordinates for the rectangles containing the data. An annotation can be contained within multiple rectangles.","isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.rectangles","typeLabel":"object[]"},"document":{"type":"string","description":"Unique identifier for the document","isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.document","typeLabel":"string"},"pageIndex":{"oneOf":[{"type":"integer","example":0,"minimum":0,"description":"The page number within the document, starting from 0.","isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.pageIndex.oneOf.0","typeLabel":"integer"},{"type":"null","example":0,"minimum":0,"description":"The page number within the document, starting from 0.","isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.pageIndex.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.pageIndex","typeLabel":"integer | null"},"raw":{"oneOf":[{"type":"string","description":"Raw data extracted from the before any post-processing","isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.raw.oneOf.0","typeLabel":"string"},{"type":"null","description":"Raw data extracted from the before any post-processing","isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.raw.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.oneOf.2.contactPhone.oneOf.0.raw","typeLabel":"string | null"},"confidence":{"oneOf":[{"type":"number","example":0.86,"description":"The overall confidence that the model's prediction is correct","isRequired":true,"uniqueKey
[...]
